PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PDictionary< K, D >::iterator_base Class Reference

`#include <dict.h>`

Inheritance diagram for PDictionary< K, D >::iterator_base:
[legend]
Collaboration diagram for PDictionary< K, D >::iterator_base:
[legend]

## Public Member Functions
bool | operator== (const iterator_base &it) const
bool | operator!= (const iterator_base &it) const

## Protected Member Functions
| iterator_base ()
| iterator_base (const dict_type *dict)
| iterator_base (const dict_type *dict, const K &key)
void | SetElement (PHashTableElement *element)
void | Next ()
void | Prev ()

## Protected Attributes
K * | m_internal_first
D * | m_internal_second
PHashTableInfo * | m_table
PHashTableElement * | m_element

## Constructor & Destructor Documentation

template<class K, class D>

PDictionary< K, D >::iterator_base::iterator_base | ( |  | ) |
| inline protected

template<class K, class D>

PDictionary< K, D >::iterator_base::iterator_base | ( | const dict_type * | dict | ) |
| inline protected

References PHashTableInfo::GetElementAt(), PDictionary< K, D >::iterator_base::m_table, and PDictionary< K, D >::iterator_base::SetElement().

template<class K, class D>

PDictionary< K, D >::iterator_base::iterator_base | ( | const dict_type * | dict,
|  | const K & | key
| ) |  |
| inline protected

References PHashTableInfo::GetElementAt(), PDictionary< K, D >::iterator_base::m_table, and PDictionary< K, D >::iterator_base::SetElement().

## Member Function Documentation

template<class K, class D>

void PDictionary< K, D >::iterator_base::Next | ( |  | ) |
| inline protected

References PDictionary< K, D >::iterator_base::m_element, PDictionary< K, D >::iterator_base::m_table, PAssertNULL, and PDictionary< K, D >::iterator_base::SetElement().

Referenced by PDictionary< K, D >::iterator::operator++(), and PDictionary< K, D >::const_iterator::operator++().

template<class K, class D>

bool PDictionary< K, D >::iterator_base::operator!= | ( | const iterator_base & | it | ) | const
| inline

References PDictionary< K, D >::iterator_base::m_element.

template<class K, class D>

bool PDictionary< K, D >::iterator_base::operator== | ( | const iterator_base & | it | ) | const
| inline

References PDictionary< K, D >::iterator_base::m_element.

template<class K, class D>

void PDictionary< K, D >::iterator_base::Prev | ( |  | ) |
| inline protected

References PDictionary< K, D >::iterator_base::m_element, PDictionary< K, D >::iterator_base::m_table, PAssertNULL, and PDictionary< K, D >::iterator_base::SetElement().

Referenced by PDictionary< K, D >::iterator::operator--(), and PDictionary< K, D >::const_iterator::operator--().

template<class K, class D>

void PDictionary< K, D >::iterator_base::SetElement | ( | PHashTableElement * | element | ) |
| inline protected

References PHashTableElement::data, PHashTableElement::key, PDictionary< K, D >::iterator_base::m_element, PDictionary< K, D >::iterator_base::m_internal_first, and PDictionary< K, D >::iterator_base::m_internal_second.

Referenced by PDictionary< K, D >::iterator_base::iterator_base(), PDictionary< K, D >::iterator_base::Next(), and PDictionary< K, D >::iterator_base::Prev().

## Member Data Documentation

template<class K, class D>

PHashTableElement* PDictionary< K, D >::iterator_base::m_element
| protected

Referenced by PDictionary< K, D >::iterator_base::Next(), PDictionary< K, D >::iterator_base::operator!=(), PDictionary< K, D >::iterator_base::operator==(), PDictionary< K, D >::iterator_base::Prev(), and PDictionary< K, D >::iterator_base::SetElement().

template<class K, class D>

K* PDictionary< K, D >::iterator_base::m_internal_first
| protected

Referenced by PDictionary< K, D >::iterator_base::SetElement().

template<class K, class D>

D* PDictionary< K, D >::iterator_base::m_internal_second
| protected

Referenced by PDictionary< K, D >::iterator_base::SetElement().

template<class K, class D>

PHashTableInfo* PDictionary< K, D >::iterator_base::m_table
| protected

Referenced by PDictionary< K, D >::iterator_base::iterator_base(), PDictionary< K, D >::iterator_base::Next(), and PDictionary< K, D >::iterator_base::Prev().

The documentation for this class was generated from the following file:

- dict.h